org.firebirdsql.jdbc.metadata

## Class GetTypeInfo

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetTypeInfo

    public final class GetTypeInfo
    extends java.lang.Object

Provides the implementation for `DatabaseMetaData.getTypeInfo()`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetTypeInfo` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getTypeInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTypeInfo

    public java.sql.ResultSet getTypeInfo()
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetTypeInfo create(DbMetadataMediator mediator)